Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000384Core InformSpacing and printingpublic2010-11-03 08:412014-05-07 07:33
ReporterPhonatacid 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000384: Rulebooks producing a value interfere with status line display
DescriptionWhen the status line contains a text defined by a "To say" phrase, this text won't get printed in the status line if its phrase contains a call to a rulebook producing a value.
Yet this text can be printed in the main window.
Minimal Source Text To Reproduce
The Test Room is a room.




When play begins:
	now the left hand status line is "status: [current status line]";	
	
To say current status line:
	[let T be the text produced by the status line test rules;]
	[let N be the number produced by the N0123 rules;]
	[UNCOMMENT ONE OF THE PREVIOUS LINE AND THE STATUS LINE WILL STOP SHOWING UP PROPERLY]
	say "it works";

The status line test rules is a rulebook producing a text.
A Status line test rule:
	let T be "result of the status line test rules";
	rule succeeds with result T;
	
The N0123 rules is a rulebook producing a number.
A N0123 rule:
	rule succeeds with result 999;
	
When play begins:
	say current status line, "[line break]";
	showme the text produced by the status line test rules;
	showme the number produced by the N0123 rules;
Additional Information*strokes beard*
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000770)
jmcgrew (administrator)
2010-11-03 09:23

Confirmed. With one of the lines uncommented, Z-code only shows "it works" in the status line, and Glulx only shows "status:". With the lines commented out, both platforms show it correctly.
(0000776)
Phonatacid (reporter)
2010-11-04 04:05

another bug that i believe to be related to this issue:

Basic Screen Effects by Emily shorts allow the author to set the status line to be made of more than one row/line. For this, the author has to use a table. Here's the table I'm using (minus the central and right table columns).


Table of Transition Room Status
left
"[the player's surroundings][if the player is in a transition room], [current transition room side of the player][end if]"
"[if the player is in a transition room][current transition room's schema][end if]"


When the player is not in a transition room, the second line/row is not printed properly (for instance, it keeps showing the current transition room's schema). If you replace the first row of the aforementioned table by its second row (and vice versa), the current transition room side of the player will be printed (on the second line of the status line) when the player is not in a transition room, while the current transition room's schema will not be shown (as expected). In short, conditional statements work only in the first line of the table.
(0000777)
Phonatacid (reporter)
2010-11-04 04:09

And for those who are looking for a workaround:

You can set the status line to an indexed text that varies and change this global value regularly with a rule/rulebook listed in the every turn rules.
(0002409)
graham (administrator)
2014-01-28 15:39

Fixed. It's nothing to do with the status line, in fact; it's a spurious newline being printed by the automatic paragraph-dividing machinery. But the status line being only one line high...

- Issue History
Date Modified Username Field Change
2010-11-03 08:41 Phonatacid New Issue
2010-11-03 09:23 jmcgrew Note Added: 0000770
2010-11-03 09:23 jmcgrew Status new => confirmed
2010-11-03 09:23 jmcgrew Summary Bug in the way the status line is printed => Rulebooks producing a value interfere with status line display
2010-11-04 04:05 Phonatacid Note Added: 0000776
2010-11-04 04:09 Phonatacid Note Added: 0000777
2014-01-28 15:39 graham Note Added: 0002409
2014-01-28 15:39 graham Status confirmed => resolved
2014-01-28 15:39 graham Resolution open => fixed
2014-01-28 15:39 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker